package com.vazil.vridge.docs.repository;

import com.vazil.vridge.docs.model.Guide;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface GuideRepository extends CrudRepository<Guide, String> {
    List<Guide> findAllByParentIdOrderByOrderAsc(String parentId);
    List<Guide> findAllByKeywordSetContaining(String keyword);
    int countAllBy();
    int countAllByParentId(String parentId);

}
